@echo off
REM --------------------------------------------------------------------
REM
REM download.bat -- A script for downloading Geant4 virtual machine to avoid any client problem
REM
REM author : Go Iwai, KEK/CRC <go.iwai@kek.jp>
REM date   : Sep 27, 2007
REM version: 0.0.1
REM
REM Copyright (c) 2007 by Go Iwai, KEK/CRC <go.iwai@kek.jp>
REM
REM --------------------------------------------------------------------
REM
REM
setlocal ENABLEEXTENSIONS
set LC_ALL=C


REM --------------------------------------------------------------------
REM setting parameters, change below if necessary
REM
set prefix=http://www-geant4.kek.jp/g4users/g4tut07/download/
set files=G4VM_SL45_200710.vmx G4VM_SL45_200710.vmdk
set install_dir=G4VM
REM --------------------------------------------------------------------


REM remove install directory before make it if exist
if exist %install_dir% (
	rmdir /S /Q %install_dir%
)


REM make an installation dir
mkdir %install_dir%



cd %install_dir%
for %%f in (%files%) do (
	..\bin\wget.exe %prefix%%%f
)
cd ..

endlocal

